# Enum Class ClassLoaderFactory.RepositoryType

java.lang.Object
java.lang.Enum<ClassLoaderFactory.RepositoryType>
org.apache.catalina.startup.ClassLoaderFactory.RepositoryType

All Implemented Interfaces:
  `Serializable, Comparable<ClassLoaderFactory.RepositoryType>, Constable`

Enclosing class:
  `ClassLoaderFactory`

public static enum ClassLoaderFactory.RepositoryType extends Enum<ClassLoaderFactory.RepositoryType>
Defines the types of repositories that can be used with a class loader.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIR`
Repository is a directory.
`GLOB`
Repository is a glob pattern directory.
`JAR`
Repository is a JAR file.
`URL`
Repository is a URL.

## Method Summary

Modifier and Type
Method
Description
`static ClassLoaderFactory.RepositoryType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClassLoaderFactory.RepositoryType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DIR

public static final ClassLoaderFactory.RepositoryType DIR
Repository is a directory.

### GLOB

public static final ClassLoaderFactory.RepositoryType GLOB
Repository is a glob pattern directory.

### JAR

public static final ClassLoaderFactory.RepositoryType JAR
Repository is a JAR file.

### URL

public static final ClassLoaderFactory.RepositoryType URL
Repository is a URL.

## Method Details

### values

public static ClassLoaderFactory.RepositoryType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClassLoaderFactory.RepositoryType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null